漏洞信息详情

PHP 5.2.0及之前版本多个安全漏洞

  • CNNVD编号:CNNVD-200702-269
  • 危害等级: 中危
  • CVE编号: CVE-2007-0908
  • 漏洞类型: 输入验证
  • 发布时间: 2007-02-13
  • 威胁类型: 远程
  • 更新时间: 2008-12-16
  • 厂        商: php
  • 漏洞来源: PHP

漏洞简介

PHP是广泛使用的通用目的脚本语言,特别适合于Web开发,可嵌入到HTML中。

PHP的实现上存在多个安全漏洞,本地或远程攻击者可以利用这些漏洞获取敏感信息或执行任意代码。

相关的漏洞有:

1) 用户可通过会话扩展绕过safe_mode和open_basedir保护机制;

2) 会话扩展中的溢出可能导致栈破坏;

3) zip、imap和sqlite扩展中存在栈溢出;

4) 流过滤器中存在缓冲区溢出;

5) str_replace()函数中存在溢出;

6) wddx扩展中的漏洞可能导致泄漏敏感信息;

7) 64位系统上的*print()函数存在格式串错误;

8) mail()、ibase_add_user()、ibase_delete_user()和ibase_modify_user()函数中存在缓冲区溢出;

9) odbc_result_all()函数中存在格式串错误。

漏洞公告

目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:

http://www.php.net/downloads.php

参考网址

来源: BID

名称: 22496

链接:http://www.securityfocus.com/bid/22496

来源: VUPEN

名称: ADV-2007-0546

链接:http://www.frsirt.com/english/advisories/2007/0546

来源: issues.rpath.com

链接:https://issues.rpath.com/browse/RPL-1088

来源: XF

名称: php-wddx-information-disclosure(32493)

链接:http://xforce.iss.net/xforce/xfdb/32493

来源: DEBIAN

名称: DSA-1264

链接:http://www.us.debian.org/security/2007/dsa-1264

来源: UBUNTU

名称: USN-424-2

链接:http://www.ubuntu.com/usn/usn-424-2

来源: UBUNTU

名称: USN-424-1

链接:http://www.ubuntu.com/usn/usn-424-1

来源: TRUSTIX

名称: 2007-0009

链接:http://www.trustix.org/errata/2007/0009/

来源: SECTRACK

名称: 1017671

链接:http://www.securitytracker.com/id?1017671

来源: BID

名称: 22806

链接:http://www.securityfocus.com/bid/22806

来源: BUGTRAQ

名称: 20070227 rPSA-2007-0043-1 php php-mysql php-pgsql

链接:http://www.securityfocus.com/archive/1/archive/1/461462/100/0/threaded

来源: REDHAT

名称: RHSA-2007:0088

链接:http://www.redhat.com/support/errata/RHSA-2007-0088.html

来源: REDHAT

名称: RHSA-2007:0082

链接:http://www.redhat.com/support/errata/RHSA-2007-0082.html

来源: REDHAT

名称: RHSA-2007:0081

链接:http://www.redhat.com/support/errata/RHSA-2007-0081.html

来源: REDHAT

名称: RHSA-2007:0076

链接:http://www.redhat.com/support/errata/RHSA-2007-0076.html

来源: www.php.net

链接:http://www.php.net/releases/5_2_1.php

来源: www.php.net

链接:http://www.php.net/ChangeLog-5.php#5.2.1

来源: MISC

链接:http://www.php-security.org/MOPB/MOPB-11-2007.html

来源: OPENPKG

名称: OpenPKG-SA-2007.010

链接:http://www.openpkg.com/security/advisories/OpenPKG-SA-2007.010.html

来源: MANDRIVA

名称: MDKSA-2007:048

链接:http://www.mandriva.com/security/advisories?name=MDKSA-2007:048

来源: support.avaya.com

链接:http://support.avaya.com/elmodocs2/security/ASA-2007-136.htm

来源: support.avaya.com

链接:http://support.avaya.com/elmodocs2/security/ASA-2007-101.htm

来源: SREASON

名称: 2321

链接:http://securityreason.com/securityalert/2321

来源: GENTOO

名称: GLSA-200703-21

链接:http://security.gentoo.org/glsa/glsa-200703-21.xml

来源: SECUNIA

名称: 24642

链接:http://secunia.com/advisories/24642

来源: SECUNIA

名称: 24606

链接:http://secunia.com/advisories/24606

来源: SECUNIA

名称: 24514

链接:http://secunia.com/advisories/24514

来源: SECUNIA

名称: 24432

链接:http://secunia.com/advisories/24432

来源: SECUNIA

名称: 24421

链接:http://secunia.com/advisories/24421

来源: SECUNIA

名称: 24419

链接:http://secunia.com/advisories/24419

来源: SECUNIA

名称: 24322

链接:http://secunia.com/advisories/24322

来源: SECUNIA

名称: 24295

链接:http://secunia.com/advisories/24295

来源: SECUNIA

名称: 24284

链接:http://secunia.com/advisories/24284

来源: SECUNIA

名称: 24248

链接:http://secunia.com/advisories/24248

来源: SECUNIA

名称: 24236

链接:http://secunia.com/advisories/24236

来源: SECUNIA

名称: 24217

链接:http://secunia.com/advisories/24217

来源: SECUNIA

名称: 24195

链接:http://secunia.com/advisories/24195

来源: SECUNIA

名称: 24089

链接:http://secunia.com/advisories/24089

来源: REDHAT

名称: RHSA-2007:0089

链接:http://rhn.redhat.com/errata/RHSA-2007-0089.html

来源: OSVDB

名称: 32766

链接:http://osvdb.org/32766

来源: SUSE

名称: SUSE-SA:2007:020

链接:http://lists.suse.com/archive/suse-security-announce/2007-Mar/0003.html

来源: MANDRIVA

名称: MDKSA-2007:048

链接:http://frontal2.mandriva.com/security/advisories?name=MDKSA-2007:048

来源: SGI

名称: 20070201-01-P

链接:ftp://patches.sgi.com/support/free/security/advisories/20070201-01-P.asc

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多